using System;
using Benday.Npr.Common.DomainModel;
using System.Collections.Generic;
using Benday.Npr.Common.Repositories;
using Benday.Npr.Common;

namespace Benday.Npr.Business
{
    public class FeedDomainService : IFeedDomainService
    {
        public FeedDomainService(IFeedRepository repository)
        {
            if (repository == null)
                throw new ArgumentNullException("repository", "repository is null.");

            m_RepositoryInstance = repository;
        }

        private IFeedRepository m_RepositoryInstance;
        private IFeedRepository RepositoryInstance
        {
            get { return m_RepositoryInstance; }
        }

        public void GetAllPrograms(ReturnResult<IFeed> result)
        {
            RepositoryInstance.GetAllPrograms(result);
        }
    }    
}