using System;
using Benday.Npr.Common.DomainModel;
using System.Collections.Generic;

namespace Benday.Npr.Business
{
    public class StoryList : IStoryList
    {
        public StoryList()
        {
            Stories = new List<IStory>();
        }

        public string Title { get; set; }
        public string Teaser { get; set; }
        public string TeaserMini { get; set; }
        public string UrlToHtml { get; set; }
        public string UrlToApi { get; set; }

        public IList<IStory> Stories { get; set; }
    }
}
