using System;
using System.Collections.Generic;

namespace Benday.Npr.Common.Repositories
{
    public interface IRepository<T>
            where T : IObjectIdentity
    {
        void GetAll(ReturnResult<IList<T>> result);
        void GetById(int id, ReturnResult<T> result);
        void Save(T saveThis, ReturnResult<T> result);
        void Delete(T deleteThis, ReturnResult<T> result);
    }
}