using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Benday.Npr.Silverlight.UnitTests.DataAccess
{
    [TestClass]
    public class TestDataUtilityFixture : UnitTestBase
    {
        [TestMethod]
        public void TestDataUtility_AllPrograms()
        {
            var xml = TestDataUtility.AllPrograms();

            Assert.IsNotNull(xml);
            Assert.AreNotEqual<string>(String.Empty, xml, "Xml should not be empty.");
        }

        [TestMethod]
        public void TestDataUtility_IndividualFeedItem()
        {
            var xml = TestDataUtility.IndividualFeedItem();

            Assert.IsNotNull(xml);
            Assert.AreNotEqual<string>(String.Empty, xml, "Xml should not be empty.");
        }

        [TestMethod]
        public void TestDataUtility_AllThingsConsideredStories()
        {
            var xml = TestDataUtility.AllThingsConsideredStories();

            Assert.IsNotNull(xml);
            Assert.AreNotEqual<string>(String.Empty, xml, "Xml should not be empty.");
        }
    }
}
