using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using System.Globalization;

namespace Benday.Npr.Phone
{
    public class TimeFormatValueConverter : IValueConverter
    {
        public object Convert(
            object value,
            Type targetType,
            object parameter,
            CultureInfo culture)
        {
            if (value is DateTime)
            {
                DateTime valueAsDateTime = (DateTime)value;

                return valueAsDateTime.ToShortTimeString();
            }
            else
            {
                return String.Empty;
            }
        }

        public object ConvertBack(
            object value,
            Type targetType,
            object parameter,
            CultureInfo culture)
        {
            // this isn't really implemented

            return DateTime.Now;
        }
    }
}
