using System;
using System.Windows.Input;
using System.Collections.ObjectModel;
using Benday.Npr.Common.DomainModel;

namespace Benday.Npr.Presentation.Interfaces
{
    public interface IMediaPlaybackViewModel : IViewModelBase
    {
        bool IsPlayable { get; set; }
        string UrlToMp3 { get; set; }
        string PlayPauseIconUri { get; set; }
        string PlayPauseText { get; set; }
        void SetState(string state);
        void PlayPause();        
    }
}
