using System;
using GalaSoft.MvvmLight;
using System.Windows.Input;
using System.Collections.ObjectModel;
using System.Collections.Generic;
using Benday.Npr.Common;
using Benday.Npr.Presentation.Interfaces;
using Benday.Npr.Common.DomainModel;

namespace Benday.Npr.Presentation
{
    public class ProgramViewModel : NetworkAvailabilityViewModel, IProgramViewModel
    {
        public ProgramViewModel()
        {

        }

        private const string IdPropertyName = "Id";

        private string m_Id;
        public string Id
        {
            get
            {
                return m_Id;
            }
            set
            {
                m_Id = value;
                RaisePropertyChanged(IdPropertyName);
            }
        }

        private const string TitlePropertyName = "Title";

        private string m_Title;
        public string Title
        {
            get
            {
                return m_Title;
            }
            set
            {
                m_Title = value;
                RaisePropertyChanged(TitlePropertyName);
            }
        }

        private const string AdditionalInformationPropertyName = "AdditionalInformation";

        private string m_AdditionalInformation;
        public string AdditionalInformation
        {
            get
            {
                return m_AdditionalInformation;
            }
            set
            {
                m_AdditionalInformation = value;
                RaisePropertyChanged(AdditionalInformationPropertyName);
            }
        }
    }
}
