using System;
using System.Collections.Generic;

namespace Benday.Npr.Phone.Common.Repositories
{
    public class StoryListRefreshedEventArgs : EventArgs
    {
        public StoryListRefreshedEventArgs(string programId)
        {
            if (String.IsNullOrEmpty(programId))
                throw new ArgumentException("programId is null or empty.", "programId");

            m_ProgramId = programId;
        }

        private string m_ProgramId;
        public string ProgramId
        {
            get { return m_ProgramId; }
        }
    }
}
