using System;
using System.Net;

namespace Benday.Npr.Phone.DataAccess
{
    public class RefreshStoriesReturnResult
    {
        public RefreshStoriesReturnResult(
            HttpWebRequest request,
            RefreshStoriesReturnResultAction action)
        {
            if (request == null)
                throw new ArgumentNullException("request", "request is null.");
            if (action == null)
                throw new ArgumentNullException("action", "action is null.");

            m_Request = request;
            m_ReturnResult = action;
        }

        private HttpWebRequest m_Request;
        public HttpWebRequest Request
        {
            get { return m_Request; }
        }

        private RefreshStoriesReturnResultAction m_ReturnResult;
        public RefreshStoriesReturnResultAction ReturnResult
        {
            get { return m_ReturnResult; }
        }
    }
}
