using System;
using System.Collections.Generic;

namespace Benday.Npr.Phone.Factories
{
    public class ObjectFactoryConfiguration
    {
        public ObjectFactoryConfiguration()
        {
            m_instances = new Dictionary<Type, object>();
            m_typeMappings = new Dictionary<Type, Type>();
        }

        private Dictionary<Type, Type> m_typeMappings;
        public Dictionary<Type, Type> TypeMappings
        {
            get { return m_typeMappings; }
        }

        private Dictionary<Type, object> m_instances;
        public Dictionary<Type, object> Instances
        {
            get { return m_instances; }
        }
    }
}
