using System;
using System.Collections.Generic;

namespace Benday.Npr.Phone.Presentation.Interfaces
{
    public interface IStoryListViewModel : IViewModelBase, INetworkAvailabilityViewModel
    {
        void Load();
        void Refresh();
        SingleSelectListViewModel Stories { get; }
        string CurrentProgramId { get; }
        string CurrentProgramTitle { get; }
        string CurrentStoryId { get; }
    }
}