using System;
using GalaSoft.MvvmLight;
using Benday.Npr.Phone.Presentation.Interfaces;

namespace Benday.Npr.Phone.Presentation
{
    public abstract class NetworkAvailabilityViewModel : MessageBoxViewModelBase, INetworkAvailabilityViewModel
    {
        private const string IsNetworkAvailablePropertyName = "IsNetworkAvailable";

        private bool m_IsNetworkAvailable;
        public bool IsNetworkAvailable
        {
            get
            {
                return m_IsNetworkAvailable;
            }
            set
            {
                m_IsNetworkAvailable = value;
                RaisePropertyChanged(IsNetworkAvailablePropertyName);
            }
        }
    }
}
