using System;
using Benday.Npr.Common.DomainModel;
using System.Collections.Generic;

namespace Benday.Npr.Business
{
    public class RssFeedItemList : IRssFeedItemList
    {
        public string Description { get; set; }
        public string ImageUrl { get; set; }
        public string Title { get; set; }
        
        private IList<IRssFeedItem> m_Items;
        public IList<IRssFeedItem> Items
        {
            get
            {
                if (m_Items == null)
                {
                    m_Items = new List<IRssFeedItem>();
                }
                return m_Items;
            }
            set
            {
                m_Items = value;
            }
        }        
    }
}
