using System;
using System.Collections.Generic;

namespace Benday.Npr.Common.DomainModel
{
    public interface IStory
    {
        string Id { get; set; }
        string UrlToHtml { get; set; }
        string UrlToApi { get; set; }
        string UrlShort { get; set; }
        string Title { get; set; }
        string Teaser { get; set; }
        string TeaserMini { get; set; }
        string Slug { get; set; }
        DateTime StoryDate { get; set; }
        DateTime PublishDate { get; set; }
        string ShowName { get; set; }
        DateTime ShowDate { get; set; }
        string OrganizationName { get; set; }
        string OrganizationAbbreviation { get; set; }
        string OrganizationUrl { get; set; }
        int Duration { get; set; }
        string UrlToMp3 { get; set; }
        string UrlToWindowsMedia { get; set; }
        IList<IParagraph> Paragraphs { get; set; }
        string Author { get; set; }
    }
}
