using System;
using System.Linq;
using Benday.Npr.Common.Repositories;
using Benday.Npr.Common.DomainModel;
using System.Xml.Linq;
using Benday.Npr.Common;
using System.Text;

namespace Benday.Npr.DataAccess
{
    public static class DataAccessUtility
    {
        public static string ReplaceUndisplayableHtml(string original)
        {
            if (original == null)
            {
                return null;
            }
            else
            {
                StringBuilder builder = new StringBuilder(original);

                builder.Replace("&lt;em&gt;", String.Empty);
                builder.Replace("&lt;/em&gt;", String.Empty);
                builder.Replace("<em>", String.Empty);
                builder.Replace("</em>", String.Empty);
                builder.Replace("&lt;strong&gt;", String.Empty);
                builder.Replace("&lt;/strong&gt;", String.Empty);
                builder.Replace("<strong>", String.Empty);
                builder.Replace("</strong>", String.Empty);
                builder.Replace("</p>", String.Empty);
                builder.Replace("<p>", String.Empty);

                return builder.ToString();
            }
        }
    }
}
