﻿using System;
using System.Text;
using Benday.Npr.Phone.UnitTests;

namespace Benday.Npr.Silverlight.UnitTests.DataAccess
{
    public static class TestDataUtility
    {
        public static string AllPrograms()
        {
            return UnitTestResources.NprAllPrograms;
        }

        public static string IndividualFeedItem()
        {
            return UnitTestResources.IndividualFeedItem;
        }

        public static string IndividualStory()
        {
            return UnitTestResources.IndividualStory;
        }

        public static string AllThingsConsideredStories()
        {
            return UnitTestResources.AllThingsConsideredStories;
        }

        public static string TellMeMoreStories()
        {
            return UnitTestResources.TellMeMoreStories;
        }

        public static string RssFeedForHourlyNews()
        {
            return UnitTestResources.HourlyNewsFeedRss;
        }

        public static string RssFeedForItsAllPolitics()
        {
            return UnitTestResources.ItsAllPoliticsFeedRss;
        }

        public static string XmlWithSimilarChildElementsWithDifferentAttributes()
        {
            StringBuilder builder = new StringBuilder();

            builder.AppendLine("<story id=\"131216486\">");
            builder.AppendLine("<link type=\"html\">http://www.npr.org/2010/11/10/131216486/in-israel-when-is-a-jew-not-jewish-enough?ft=3&amp;f=2</link>");
            builder.AppendLine("<link type=\"api\">http://api.npr.org/query?id=131216486&amp;apiKey=MDA2MzU3ODU0MDEyODg2MTQyOTk1OWQ4NQ001</link>");
            builder.AppendLine("<link type=\"short\">http://n.pr/9k87A3</link>");
            builder.AppendLine("</story>");

            return builder.ToString();
        }
    }
}
