using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Benday.Npr.Presentation.Interfaces;
using Benday.Npr.Common.DomainModel;
using Benday.Npr.Common;
using Benday.Npr.Common.Repositories;
using Benday.Npr.Silverlight.UnitTests.DataAccess;

namespace Benday.Npr.Silverlight.UnitTests.Presentation
{
    public class StoryDomainServiceTester : IStoryDomainService
    {
        public StoryDomainServiceTester()
        {

        }

        public Benday.Npr.Common.DomainModel.IStoryList ReturnThisStoryList { get; set; }


        public void GetStories(ReturnResult<IStoryList> action, string id)
        {
            if (id == "2")
            {
                action.Notify(ReturnThisStoryList);    
            }
            else
            {
                action.Notify(null as IStoryList);
            }            
        }


        public void ResolveMp3UrlFromM3u(ReturnResult<string> action, string m3uUri)
        {
            throw new NotImplementedException();
        }
    }
}
