using System;
using System.Windows.Input;
using System.Collections.ObjectModel;

namespace Benday.Npr.Presentation.Interfaces
{

    public interface IAllProgramsViewModel : IViewModelBase
    {
        void Load();
        string Title { get; set; }
        ObservableCollection<IProgramViewModel> Programs { get; set; }

        IProgramViewModel SelectedItem { get; set; }
        event EventHandler OnSelectionChanged;

        IMediaPlaybackViewModel MediaPlayback
        {
            get;            
        }
    }
}
