using System;
using System.Windows.Input;
using System.Collections.ObjectModel;

namespace Benday.Npr.Presentation.Interfaces
{
    public interface IStoryListViewModel : IViewModelBase, IProgressBarViewModel
    {
        string Id { get; set; }
        void Load(string programId);
        string Title { get; set; }
        string UrlToHtml { get; set; }
        ObservableCollection<IStoryViewModel> Stories { get; }

        IStoryViewModel SelectedItem { get; set; }
        event EventHandler OnSelectionChanged;
    }
}
