using System;
using GalaSoft.MvvmLight;

namespace Benday.Npr.Presentation
{
    public abstract class NetworkAvailabilityViewModel : ViewModelBase
    {
        private const string IsNetworkAvailablePropertyName = "IsNetworkAvailable";

        private bool m_IsNetworkAvailable;
        public bool IsNetworkAvailable
        {
            get
            {
                return m_IsNetworkAvailable;
            }
            set
            {
                m_IsNetworkAvailable = value;
                RaisePropertyChanged(IsNetworkAvailablePropertyName);
            }
        }
    }
}
