﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Benday.Npr.Phone.Common.Models;
using System.Collections.Generic;

namespace Benday.Npr.Phone.Common.Repositories
{
    public interface IProgramRepository
    {
        void GetAll(ReturnResult<IList<IProgramInfo>> action);
        void GetById(ReturnResult<IProgramInfo> action, string id);
        IProgramInfo GetById(string id);
        void SaveCurrentProgramId(string currentProgramId);
        string GetCurrentProgramId();
    }
}
