using System;
using Benday.Npr.Phone.Common.Models;
using Benday.Npr.Phone.Common;

namespace Benday.Npr.Phone.DataAccess
{
    public class RefreshStoriesReturnResultAction
    {
        /// <summary>
        /// Initializes a new instance of the RefreshStoriesReturnResultAction class.
        /// </summary>
        /// <param name="action"></param>
        /// <param name="programId"></param>
        public RefreshStoriesReturnResultAction(ReturnResult<IStoryList> action, string programId)
        {
            m_Action = action;
            m_ProgramId = programId;
        }

        private ReturnResult<IStoryList> m_Action;
        public ReturnResult<IStoryList> Action
        {
            get { return m_Action; }
        }

        private string m_ProgramId;
        public string ProgramId
        {
            get { return m_ProgramId; }
        }
    }
}
