using System;
using Benday.Npr.Phone.Common;
using Benday.Npr.Phone.Common.Repositories;

namespace Benday.Npr.Phone.DataAccess
{
    public class RepositoryBase
    {
        public RepositoryBase(IObjectFactory factory)
        {
            if (factory == null)
                throw new ArgumentNullException("factory", "factory is null.");

            m_ObjectFactoryInstance = factory;
        }

        private IObjectFactory m_ObjectFactoryInstance;
        protected internal IObjectFactory ObjectFactoryInstance
        {
            get { return m_ObjectFactoryInstance; }
        }
    }
}