using System;
using System.Collections.Generic;
using Benday.Npr.Phone.Presentation.Interfaces;
using GalaSoft.MvvmLight;

namespace Benday.Npr.Phone.Presentation
{
    public class ParagraphViewModel : ViewModelBase, IParagraphViewModel
    {
        public ParagraphViewModel()
        {

        }

        private const string TextPropertyName = "Text";

        private string m_Text;
        public string Text
        {
            get
            {
                return m_Text;
            }
            set
            {
                m_Text = value;
                RaisePropertyChanged(TextPropertyName);
            }
        }
    }
}
