using System;
using System.Collections.Generic;
using Benday.Npr.Phone.Common.Models;

namespace Benday.Npr.Phone.Presentation
{
    public class StoryList : IStoryList
    {
        public StoryList()
        {
            Stories = new List<IStory>();
        }

        public string Title { get; set; }
        public string Teaser { get; set; }
        public string TeaserMini { get; set; }
        public string UrlToHtml { get; set; }
        public string UrlToApi { get; set; }

        public IList<IStory> Stories { get; set; }
    }
}