﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Benday.Npr.Phone.Common.Repositories;
using System.Xml.Linq;
using System.Linq;

namespace Benday.Npr.Phone.UnitTests.DataAccess
{
    /*
    [TestClass]
    public class FeedXmlAdapterFixture : UnitTestBase
    {
        [TestMethod]
        public void TestDataUtility_LoadTestData_AllPrograms()
        {
            var feedXml = TestDataUtility.AllPrograms();

            Assert.IsNotNull(feedXml);
            Assert.AreNotEqual<string>(String.Empty, feedXml, "Feed xml should not be empty.");
        }

        [TestMethod]
        public void FeedXmlAdapter_ParseAllPrograms()
        {
            IFeedXmlAdapter adapter = ObjectFactoryInstance.Create<IFeedXmlAdapter>();

            IFeed toValue = ObjectFactoryInstance.Create<IFeed>();

            string fromValue = TestDataUtility.AllPrograms();

            adapter.Adapt(fromValue, toValue);

            Assert.AreEqual<string>("All Programs", toValue.Title, "Title was wrong.");
            Assert.IsNotNull(toValue.FeedItems, "FeedItems was null.");
            Assert.AreEqual<int>(13, toValue.FeedItems.Count, "Feed item count was wrong.");

            AssertFeedItem(toValue, 0, "All Songs Considered");
            AssertFeedItem(toValue, 1, "All Things Considered");
            AssertFeedItem(toValue, 2, "Fresh Air from WHYY");
            AssertFeedItem(toValue, 3, "JazzSet with Dee Dee Bridgewater");
            AssertFeedItem(toValue, 12, "World of Opera");
        }

        [TestMethod]
        public void FeedXmlAdapter_ParseAllPrograms_RemovesHtmlFormattingFromAdditionalInfo()
        {
            IFeedXmlAdapter adapter = ObjectFactoryInstance.Create<IFeedXmlAdapter>();

            IFeed toValue = ObjectFactoryInstance.Create<IFeed>();

            string fromValue = TestDataUtility.AllPrograms();

            adapter.Adapt(fromValue, toValue);

            Assert.AreEqual<string>("All Programs", toValue.Title, "Title was wrong.");
            Assert.IsNotNull(toValue.FeedItems, "FeedItems was null.");
            Assert.AreEqual<int>(13, toValue.FeedItems.Count, "Feed item count was wrong.");

            var program = (from temp in toValue.FeedItems
                           where temp.Title == "Tell Me More"
                           select temp).FirstOrDefault();

            Assert.IsNotNull(program, "Could not find the right program for testing.");
            
            UnitTestUtility.AssertStringDoesNotContainUndisplayableHtmlFormatting(program.AdditionalInfo);
        }

        [TestMethod]
        public void FeedXmlAdapter_StringToXDocument()
        {
            IFeedXmlAdapter adapter = ObjectFactoryInstance.Create<IFeedXmlAdapter>();

            string fromValue = TestDataUtility.IndividualFeedItem();

            var toValue = adapter.StringToXDocument(fromValue);

            Assert.IsNotNull(toValue);

            Assert.AreEqual<string>("item", toValue.Root.Name.LocalName, "Name was wrong.");
        }

        [TestMethod]
        public void FeedXmlAdapter_ParseFeedItem()
        {
            IFeedXmlAdapter adapter = ObjectFactoryInstance.Create<IFeedXmlAdapter>();

            IFeedItem toValue = ObjectFactoryInstance.Create<IFeedItem>();

            string fromValue = TestDataUtility.IndividualFeedItem();

            adapter.Adapt(fromValue, toValue);

              //<item id="37" num="1" storycountall="368" storycountmonth="4" storycounttoday="0" type="program">
              //  <title>All Songs Considered</title>
              //  <altInfo/>
              //  <additionalInfo>All Songs Considered is the place to discover music.  The acclaimed weekly program – available as streaming 
              //      audio, a podcast and a broadcast – melds contemporary music, live concerts, videos and artist interviews to offer a truly 
              //      eclectic music mix.
              //  </additionalInfo>
              //</item>
            

            Assert.AreEqual<string>("All Songs Considered", toValue.Title, "Title was wrong.");
            Assert.AreEqual<string>(
                "All Songs Considered is the place to discover music.  The acclaimed weekly program – available as streaming audio, a podcast and a broadcast – melds contemporary music, live concerts, videos and artist interviews to offer a truly eclectic music mix.", 
                toValue.AdditionalInfo, 
                "Additional info was wrong.");
            Assert.AreEqual<string>("37", toValue.Id, "Id");
        }

        private void AssertFeedItem(IFeed instance, int feedItemIndex, string expectedTitle)
        {
            IFeedItem actual = instance.FeedItems[feedItemIndex];

            Assert.AreEqual<string>(expectedTitle, actual.Title, "Title");
        }
    }
*/
}
